/******************************************************************************
 *{@C
 *      Copyright:      2005-2022 Paul Obermeier (obermeier@tcl3d.org)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D
 *      Filename:       tcl3dDefines.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG file with C macros to enable correct wrapping.
 *
 *****************************************************************************/

#define WINGDIAPI               /* Needed for Windows */
#define APIENTRY                /* Needed for Windows */
#define _LANGUAGE_C             /* Needed for SGI */
#define GL_MESA_trace           /* Needed for Linux */
#define CALLBACK                /* Needed for GLU wrapper */
#define GL_GLEXT_PROTOTYPES
#define WGL_WGLEXT_PROTOTYPES
#define OGLGLEXT_NOALIAS
#define WINAPI
#define GLAPI
#define GLAPIENTRY

typedef unsigned int GLenum;
typedef unsigned char GLboolean;
typedef unsigned int GLbitfield;
typedef signed char GLbyte;
typedef short GLshort;
typedef int GLint;
typedef int GLsizei;
typedef ptrdiff_t GLsizeiptr;
typedef unsigned char GLubyte;
typedef unsigned short GLushort;
typedef unsigned int GLuint;
typedef float GLfloat;
typedef float GLclampf;
typedef double GLdouble;
typedef double GLclampd;
typedef void GLvoid;
typedef char GLchar;

typedef signed char int8_t;
typedef unsigned char uint8_t;
typedef short int16_t;
typedef unsigned short uint16_t;
typedef int int32_t;
typedef unsigned int uint32_t;

typedef char GLcharARB;
typedef unsigned short GLhalfARB;
typedef unsigned int GLhandleARB;
typedef ptrdiff_t GLsizeiptrARB;

%{
/* Check, if Tcl version supports Tcl_Size,
   which was introduced in Tcl 8.7 and 9.
*/
#ifndef TCL_SIZE_MAX
    #include <limits.h>
    #define TCL_SIZE_MAX INT_MAX

    #ifndef Tcl_Size
        typedef int Tcl_Size;
    #endif

    #define TCL_SIZE_MODIFIER ""
    #define Tcl_GetSizeIntFromObj Tcl_GetIntFromObj
#endif
%}
